<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/xvalidation/expressions/expressionTemplate.xhtml" id="ex_#{expression.fakeId}">
        <ui:param name="expression" value="#{expression}"/>
        <ui:param name="expressionName" value="Date comparison"/>
        <ui:define name="expressionBody">

            <ui:include src="/xvalidation/expressions/locator.xhtml">
                <ui:param name="locator" value="#{expression.locator1}"/>
            </ui:include>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="dateFormats1"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.SelectPossibleDateFormats']}</ui:define>
                <rich:pickList id="dateFormats1" value="#{expression.dateFormats1}" required="true" requiredMessage="You need to select a date format">
                    <s:selectItems value="#{ruleEditorManager.listDateFormats()}" var="std" itemValue="#{std}" label="#{std.toString()}"/>
                </rich:pickList>
            </s:decorate>
            <br/>
            <h:selectOneMenu value="#{expression.dateOperator}">
                <f:selectItems value="#{ruleEditorManager.listDateComparators()}"/>
            </h:selectOneMenu>
            <br/>
            <ui:include src="/xvalidation/expressions/locator.xhtml">
                <ui:param name="locator" value="#{expression.locator2}"/>
            </ui:include>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="dateFormats2"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.SelectPossibleDateFormats']}</ui:define>
                <rich:pickList id="dateFormats2" value="#{expression.dateFormats2}" required="true" requiredMessage="You need to select a date format">
                    <s:selectItems value="#{ruleEditorManager.listDateFormats()}" var="std" itemValue="#{std}" label="#{std.toString()}"/>
                </rich:pickList>
            </s:decorate>

        </ui:define>
    </s:decorate>
</ui:composition>